org.h2.value

## Class VersionedValue<T>

- java.lang.Object
- - org.h2.value.VersionedValue<T>

Direct Known Subclasses:
  Value

    public class VersionedValue<T>
    extends java.lang.Object

A versioned value (possibly null). It contains current value and latest committed value if current one is uncommitted. Also for uncommitted values it contains operationId - a combination of transactionId and logId.

### Constructor Summary

Constructors
`protected` `VersionedValue()`

### Method Summary

All Methods Instance Methods Concrete Methods
`T` `getCommittedValue()`
`T` `getCurrentValue()`
`long` `getOperationId()`
`boolean` `isCommitted()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VersionedValue

    protected VersionedValue()

### Method Detail

#### isCommitted

    public boolean isCommitted()

#### getOperationId

    public long getOperationId()

#### getCurrentValue

    public T getCurrentValue()

#### getCommittedValue

    public T getCommittedValue()